/* EPITA - IP - S3/4 */
/* question16 */

# define QNUM 16
# define QOPT "graine taille"
# define QNOPT 2

# include <unistd.h>
# include <stdlib.h>
# include <stdio.h>

# include "base_test.h"
# include "question16.h"


int main(int argc,char *argv[]) {
  size_t                size, n;
  char                 *s;

  help_asked(argc,argv,QNUM,QOPT,QNOPT);

  if (argc <= QNOPT) {
    fprintf(stderr, "Parametres insuffisants.\n");
    usage(NULL,QNUM,QOPT);
  } else {
    seedInit(argv);
    size = getSize(argv);
    s = malloc(size+1);
    randstr(s,size);
    s[size] = 0;
    printf("s = \"%s\"\n",s);
    n = mystrlen(s);
    printf("mystrlen(s) = %zu -- check: [%s]\n",n, check(n==size));
    free(s);
  }
  exit(0);
}
